Loading...
Searching...
No Matches
ScalarToVectorConverter< ScalarGridType > Struct Template Reference

ScalarToVectorConverter<ScalarGridType>::Type is the type of a grid having the same tree configuration as ScalarGridType but value type Vec3<T> where T is ScalarGridType::ValueType. More...

`#include <openvdb/tools/GridOperators.h>`

## Public Types

typedef math::Vec3< typename ScalarGridType::ValueType > | VectorValueT
typedef ScalarGridType::template ValueConverter< VectorValueT >::Type | Type

## Detailed Description

template<typename ScalarGridType>
struct openvdb::v10_0::tools::ScalarToVectorConverter< ScalarGridType >

ScalarToVectorConverter<ScalarGridType>::Type is the type of a grid having the same tree configuration as ScalarGridType but value type Vec3<T> where T is ScalarGridType::ValueType.

For example, ScalarToVectorConverter<DoubleGrid>::Type is equivalent to Vec3DGrid.

## Member Typedef Documentation

## Type

template<typename ScalarGridType>

typedef ScalarGridType::template ValueConverter<VectorValueT>::Type Type

## VectorValueT

template<typename ScalarGridType>

typedef math::Vec3<typename ScalarGridType::ValueType> VectorValueT